2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.cs:
	* ProjectOptionPanelWidget.cs:
	* CommitDialogExtensionWidget.cs: Track api changes.

2010-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* CommitDialogExtensionWidget.cs: Track api changes.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* CommitDialogExtensionWidget.cs: Clean up dialog placement.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Policies.xml: Added attribute to explicitly allow
	  differential serialization for a policy (which is disabled
	  by default).

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* ChangeLogAddIn.cs:
	* gtk-gui/gui.stetic:
	* ChangeLogService.cs:
	* AddLogEntryDialog.cs:
	* ChangeLogAddIn.csproj:
	* ProjectOptionPanel.cs:
	* ChangeLogAddIn.addin.xml:
	* ProjectOptionPanelWidget.cs:
	* CommitDialogExtensionWidget.cs: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* AddLogEntryDialog.cs: Track api changes.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* AddLogEntryDialog.cs: Track API changes for lazy loading
	  images.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Flush.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* ChangeLogAddIn.csproj:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Flush.

2009-10-13  Ankit Jain  <jankit@novell.com>

	* ChangeLogAddIn.csproj: Import md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Bump MD version.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.csproj: Updated dependencies. We now depend
	  on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* CommitDialogExtensionWidget.cs: Ellipsize path names. Fixes
	  bug #532661 - Changelog names in commit dialog should wrap.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Flush.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* OldChangeLogData.cs: Track api changes.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* AddLogEntryDialog.cs: Use the new DesktopService instead of
	  PlatformService.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* OldChangeLogData.cs: Track api changes.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs: Changed assembly info.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* AddLogEntryDialog.cs: Renamed PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* AddLogEntryDialog.cs: Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* ChangeLogAddIn.csproj: don't require specific gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Bump MD version.

2009-03-19  Michael Hutchinson  <mhutchinson@novell.com>

	* OldChangeLogData.cs: Don't set value for commit message
	  style. Fix whether solution already has a policy. Fixes "Bug
	  486756 - Regression in changelog addin".

2009-03-17  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* OldChangeLogData.cs:
	* ChangeLogService.cs:
	* ProjectOptionPanel.cs:
	* ChangeLogAddIn.csproj:
	* ChangeLogAddIn.addin.xml: Migrate MD1 changelog settings to
	  the policy system. Fixes "Bug 471285 - Project ChangeLog
	  settings lost".

	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Flush.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Making some strings not translatable.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* ChangeLogService.cs: Rename 'dir', as csc doesn't like
	  multiple locals with the same name in a switch.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.mds:
	* ChangeLogAddIn.mdp:
	* ChangeLogAddIn.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ChangeLogAddIn.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogService.cs: Fix nullref.

	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	  Flush.

2009-02-02    <>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs: Fix
	typo.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* ChangeLogPolicy.cs: Change default date formatting from
	  yy/MM/dd to yyyy-MM-dd.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Policies.xml: Use - instead of / in Mono date format.

	* CommitDialogExtensionWidget.cs: Appned 2 newlines to
	  ChangeLog message.
	
	Fixes Bug 471286 - "ChangeLog integration now uses wrong 
    date format and messed up my ChangeLog".

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* ChangeLogAddIn.addin.xml: Register policy panel as a default policy
	panel.

2009-01-29  Michael Hutchinson  <mhutchinson@novell.com>

	* Policies.xml:
	* ChangeLogAddIn.cs:
	* ChangeLogPolicy.cs:
	* ProjectOptionPanelWidget.cs:
	* CommitDialogExtensionWidget.cs: Rename UserInformation to
	AuthorInformation, and change other strings correspondingly.

2009-01-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Policies.xml:
	* gtk-gui/gui.stetic:
	* ChangeLogPolicy.cs:
	* ChangeLogAddIn.mdp:
	* ChangeLogService.cs:
	* ChangeLogAddIn.addin.xml:
	* ProjectOptionPanelWidget.cs:
	* CommitDialogExtensionWidget.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs: Added
	message style to changelog policy

2009-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* ChangeLogService.cs:
	* CommitDialogExtensionWidget.cs: Implement support for per-project
	policies VcsIntegration.RequireEntry/Enabled/None.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ChangeLogAddIn.mdp: Flush project format changes.

2009-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* ChangeLogAddIn.mdp:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ChangeLogAddInOptionPanelWidget.cs:
	Removed unused panel widget.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* ChangeLogPolicy.cs:
	* ChangeLogService.cs:
	* ProjectOptionPanel.cs:
	* ProjectOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs: Move
	ChangeLog integration options to the policies storage.

	* ChangeLogData.cs:
	* ChangeLogAddInOptionsPanel.cs:
	* ChangeLogAddInOptionPanelWidget.cs: Unused; remove.

	* ChangeLogAddIn.cs: Use UserInformation API. Fix error on insertion of
	entries into new/empty ChangeLogs.  Fix spaces->tabs formatting.

	* ChangeLogAddIn.addin.xml: Remove old data types and panels, and
	register ChangeLogPolicy type as a policy.

	* Makefile.am:
	* ChangeLogAddIn.mdp: Updated.

	* CommitDialogExtensionWidget.cs: Use UserInformation API.

2009-01-07  Lluis Sanchez Gual  <lluis@novell.com>

	* CommitDialogExtensionWidget.cs: Show a warning if there are some files
	without a comment.

2009-01-07  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.cs:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* CommitDialogExtensionWidget.cs:
	* ChangeLogAddInOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.ChangeLogAddIn.ChangeLogAddInOptionPanelWidget.cs:
	Fix bug #440957 - Version Control/Changelog addin no longer gives
	warning when name is not set.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.mdp: Don't require a specific version of Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.addin.xml: Bump MD version.

2008-10-07  Aaron Bockover  <abockover@novell.com>

	* CommitDialogExtensionWidget.cs: Updated to use ChangeLogMessageStyle
	  instead of the WriteHeader bool

2008-10-07  Aaron Bockover  <abockover@novell.com>

	* ChangeLogAddIn.cs:
	* CommitDialogExtensionWidget.cs: Make the addin use the new
	  ChangeLogWriter

	* AddLogEntryDialog.cs: Make tabs 4 characters wide instead of the
	  default 8; use the default monospace font as provided by
	  PlatformService; set some other properties; make the widget at least
	  80 characters wide for better preview/editing of ChangeLogs by hand

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ChangeLogAddInOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs: Updated
	  generated code.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogData.cs: Moved serialization engine to MonoDevelop.Core. Use
	  new syntax for specifying attribute scope.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Bump MD version.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Show the options dialog only for solution
	  items and solutions.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Merged the extension points for project and
	  solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectOptionPanel.cs, ChangeLogData.cs, ProjectOptionPanelWidget.cs,
	  ChangeLogAddIn.addin.xml, ChangeLogAddIn.mdp, gtk-gui/gui.stetic,
	  Makefile.am, ChangeLogService.cs: New project model changes.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddInOptionsPanel.cs, ChangeLogAddIn.addin.xml,
	  ChangeLogAddInOptionPanelWidget.cs: Use new options dialog
	  infrastructure.
	* CommitDialogExtensionWidget.cs: Reduce width of comments, so it fits
	  in 80 cols with tabsize 8.

2008-02-26  Mike Krüger <mkrueger@novell.com> 

	

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Updated add-in category and description.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* ChangeLogAddInOptionPanelWidget.cs: Make strings translatable.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ChangeLogAddInOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs: Regenerated
	  gui.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, Makefile.am: Directory reorganization.

2007-11-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.cs: If no file is open but one is selected in the tree, use
	  it as reference file for the new entry. Fixes bug #339272.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* ChangeLogService.cs, CommitDialogExtensionWidget.cs: Track LoggingService
	  API changes.

2007-10-30  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogService.cs: Fix ChangeLog location problem in
	  single-changelog-per-project mode.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp: Project file names updated by change in MD path
	  functions.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* ChangeLogService.cs, CommitDialogExtensionWidget.cs: Applied changes that
	  were neccassary for to the new FileService.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Add missing identifier for the add-in
	  preferences dialog.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Added an Other section in the MD property dialog
	  and moved some options there to avoid too many branches.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* CommitDialogExtensionWidget.cs: Regenerate changelog entries after
	  changing the user name and mail options. Fixes bug #82745.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com>

	* ChangeLogAddInOptionPanelWidget.cs: Fix compiler warning.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* ProjectOptionPanel.cs, ChangeLogAddIn.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs,
	  ChangeLogAddInOptionPanelWidget.cs, CommitDialogExtensionWidget.cs:
	  Changes due to new property infrastructure.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* AddLogEntryDialog.cs: When changing selection, get the text from the
	  changes table, if it has changed. Fixes bug #82437.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, gtk-gui/gui.stetic, Makefile.am: Updated.
	* ChangeLogService.cs: Fix nullref exception.
	* CommitDialogExtensionWidget.cs: Fix warning.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml, ChangeLogAddIn.mdp, Makefile.am: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-08-06  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* ChangeLogAddin.cs: Fixed #82322. 

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.ChangeLogAddIn.ProjectOptionPanelWidget.cs: Added
	  missing file.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectOptionPanel.cs, ChangeLogData.cs, ProjectOptionPanelWidget.cs,
	  ChangeLogAddInOptionsPanel.cs, ChangeLogAddIn.cs, AddLogEntryDialog.cs,
	  ChangeLogAddIn.addin.xml, ChangeLogAddIn.mdp, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs,
	  gtk-gui/gui.stetic, ChangeLogAddInOptionPanelWidget.cs, Makefile.am,
	  ChangeLogService.cs, CommitDialogExtensionWidget.cs: Allow updating
	  multiple changelog files at the same time. Updated licenses. Based on a
	  patch by Jacob Ilsø Christensen.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* ChangeLogAddIn.cs: Changed a bit because of the removal of custom
	  collections in the Ide project.

2007-06-22  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* ChangeLogAddIn.mdp: Included ChangeLog file.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, Makefile.am: Reference shared assemblies from the
	  correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml, ChangeLogAddIn.mdp,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: Migration to Mono.Addins.

2007-03-02  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml, ChangeLogAddIn.cs: Simplified a little bit the
	  ChangeLogAddin. Just one command "Insert ChageLog Entry", an header is
	  automatically added if missing or if the top-most header is different
	  from the one we're about to add. The command can be issued from anywhere
	  and the add-in looks for the right ChangeLog file and even creates one
	  if necessary. Patch by Federico Di Gregorio.

	* AddLogEntryDialog.cs, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs,
	  CommitDialogExtensionWidget.cs: Use new the partial class model.
	* ChangeLogAddIn.mdp: Update.
	* ChangeLogAddInOptionsPanel.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.ChangeLogAddInOptionPanelWidget.cs,
	  gtk-gui/gui.stetic, ChangeLogAddInOptionPanelWidget.cs: Implemented the
	  option panel using stetic.
	* Makefile.am: Added new files.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Change add-in versions to 0.13.
	* ChangeLogAddIn.mdp: Updated.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, Makefile.am: Synchronized the MD project and the
	  Makefile

2007-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	i18n fixes.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.cs: Track api changes in Document class.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.ChangeLogAddIn.AddLogEntryDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: Split Stetic generated code in
	  files.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* CommitDialogExtensionWidget.cs: Use the FileService for copying and
	  deleting files.

2006-12-01  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Makefile.am: Only build if VersionControl AddIn is enabled, 
	  because this AddIn depends on it.

2006-11-23  Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.mdp, Makefile.am: Updated references to version
	  control add-in.
	* gtk-gui/generated.cs, gtk-gui/gui.stetic: Updated.
	* CommitDialogExtensionWidget.cs: Don't try to commit the ChangeLog
	  file if it is not really committable.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AddLogEntryDialog.cs: New dialog that shows a new entry to be added
	  to a ChangeLog file.
	* ChangeLogAddIn.addin.xml: Added dependency to VersionControl.
	  Registered extension to the commit dialog. 
	* ChangeLogAddIn.mdp, Makefile.am: Updated.
	* ChangeLogAddInOptionsPanel.cs: Save the properties after changing
	  user data.
	* gtk-gui/generated.cs, gtk-gui/gui.stetic: New gui files.
	* CommitDialogExtensionWidget.cs: New extension of the commit dialog.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* ChangeLogAddIn.mdp: Updated.
	* .: Added svn:ignore for ChangeLogAddIn.pidb

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Updated versions.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLogAddIn.addin.xml: Updated versions.
	* ChangeLogAddIn.mdp: Updated.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* ChangeLogAddIn.addin.xml: Updated references.

2006-03-24 Grzegorz Sobanski  <silk@boktor.net>  

	* Makefile.am: removed unneeded references to nunit.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* ChangeLogAddIn.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* ChangeLogAddIn.addin.xml: Updated add-in versions.

2006-02-28  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>
	* ChangeLogAddIn.addin.xml:
	* ChangeLogAddInOptionsPanel.cs:
	* ChangeLogAddIn.cs:
	Fixed spelling.

2006-01-29  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* ChangeLogAddIn.cs:
	* ChangeLogAddInOptionsPanel.cs:
	Added copyright comment.

2006-01-25  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* ChangeLogAddIn.addin.xml: Fixed spelling of add-in.

2005-12-15  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* Makefile.am: Added AssemblyInfo.cs
	* AssemblyInfo.cs: Added version info.
	
2005-12-15  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* ChangeLogAddIn.cs: Fixed indention.

2005-12-15  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* *:
	Initial version.
